using LiveChartsCore.Defaults;
using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Sonex.Client.Animations;
using System;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace Sonex.Client.Pages;

/// <summary>
/// An empty page that can be used on its own or navigated to within a Frame.
/// </summary>
public sealed partial class Diagrams : Page
{
    public Diagrams()
    {
        InitializeComponent();
    }

    public DateTimePoint[] Values { get; set; } = [
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 0, 0), Value = 123 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 15, 0), Value = 100 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 30, 0), Value = 77 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 45, 0), Value = 56 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 0, 0), Value = 91 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 15, 0), Value = 130 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 30, 0), Value = 145 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 45, 0), Value = 160 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 0, 0), Value = 120 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 15, 0), Value = 111 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 30, 0), Value = 127 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 45, 0), Value = 102 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 0, 0), Value = 109 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 15, 0), Value = 115 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 30, 0), Value = 127 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 45, 0), Value = 134 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 0, 0), Value = 174 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 15, 0), Value = 23 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 30, 0), Value = 23 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 45, 0), Value = 32 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 0, 0), Value = 42 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 15, 0), Value = 53 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 30, 0), Value = 57 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 45, 0), Value = 68 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 0, 0), Value = 72 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 15, 0), Value = 87 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 30, 0), Value = 91 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 45, 0), Value = 98 },

];

    public DateTimePoint[] Values2 { get; set; } = [
    new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 0, 0), Value = 23 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 15, 0), Value = 32 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 30, 0), Value = 43 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 7, 45, 0), Value = 43 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 0, 0), Value = 23 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 15, 0), Value = 45 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 30, 0), Value = 65 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 8, 45, 0), Value = 123 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 0, 0), Value = 110 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 15, 0), Value = 98 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 30, 0), Value = 68 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 9, 45, 0), Value = 67 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 0, 0), Value = 56 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 15, 0), Value = 45 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 30, 0), Value = 56 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 10, 45, 0), Value = 76 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 0, 0), Value = 56 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 15, 0), Value = 45 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 30, 0), Value = 76 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 11, 45, 0), Value = 87 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 0, 0), Value = 85 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 15, 0), Value = 76 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 30, 0), Value = 45 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 12, 45, 0), Value = 96 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 0, 0), Value = 85 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 15, 0), Value = 67 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 30, 0), Value = 56 },
        new DateTimePoint() { DateTime = new(2021, 1, 2, 13, 45, 0), Value = 76 },

];
    public Func<DateTime, string> Formatter { get; set; } =
        date => date.ToString("HH mm");

}
